Bug 239385 - Review Request: peless - Text Browser
Review Request: peless - Text Browser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 22:41 EDT by Paul Elliott
Modified: 2007-12-22 12:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-26 16:34:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Elliott 2007-05-07 22:41:00 EDT
Spec URL: ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless.spec.fc6
SRPM URL: ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless-1.100-0.070507.src.rpm
Description: Peless is a simple text file lister. It only displays files and
never modifies them. It can display multiple files using a tabbed notebook,
display international characters, and search the files for regular expressions
or literal expressions. Users can choose the fonts used to display files.
Comment 1 Nigel Jones 2007-05-07 22:54:18 EDT
I'll take a look later tonight.
Comment 2 Nigel Jones 2007-05-07 23:04:15 EDT
(In reply to comment #1)
> I'll take a look later tonight.
On second thoughts, you don't seem to be in FAS, so you'll need a sponsor (I'm
not one), but here are a few notes:

URL is meant to be the URL to upstream
Source0: Should be a FQDN (i.e. http://www.foo.com/path/to/bar.tar.gz)
Group: is incorrect, (check GROUPS in /usr/src/doc/rpm-%{ver} for valid groups)
The BR doesn't seem to follow guidelines
We don't use the Vendor tag anymore
Ditto for Distribution and Prefix
Summary is too simplistic
_prefix, _sharedir etc are already defined as RPM macros.

PLEASE read http://fedoraproject.org/wiki/PackageMaintainers/Join fully up to
about Build System tools.

If you want an example of a spec file that recently passed review check out:
http://dev.nigelj.com/SRPMS/windowlab.spec
http://dev.nigelj.com/SRPMS/ocaml-SDL.spec
or have a look around the fedora CVS where there are plenty of well maintained
SPEC files.
Comment 3 Mamoru TASAKA 2007-06-07 09:11:36 EDT
Paul, would you rewrite your spec file?

The guilelines are mainly on:
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

You can also check the existing spec file for example.
e.g.:
http://cvs.fedora.redhat.com/viewcvs/*checkout*/devel/xterm/xterm.spec?root=core
a bit more complicated example:
http://cvs.fedora.redhat.com/viewcvs/*checkout*/devel/kazehakase/kazehakase.spec?root=extras
Comment 4 Paul Elliott 2007-06-11 16:40:46 EDT
Ok. I believe I have addressed many of the problems that I understood. Also, I 
have added internationalization support (0 languages currently supported).

Please find the following urls:
SRPM URL: 
ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless-1.145-0.070609.src.rpm
Spec URL: ftp://ftp.BerliOS.de/pub/peless/fc6/peless.spec
tarball URL: http://download.berlios.de/peless/peless-1.145.tar.bz2

Please tell me if any additional fixes need to be made, or if I have failed to 
fix any problem.
Comment 5 Mamoru TASAKA 2007-06-28 13:28:19 EDT
Well, again read the spec files of other packages and guidelines 
on the URL above then rewrite the spec file.

* Don't use unneeded macros. Why do you have to define %_build_requires
  or so? 
* Don't use date for release number unless the source is cvs, svn,
  or so. For formal release tarball, release number must be
  <simple integer>%{?dist} except for some exceptions.
* For Requires, please don't like explicit packages' requirements
  which are automatically checked by rpmbuild by libraries' dependency
  check.
* vendor tag must not be used 
* rewrite the part of calling configure with %configure macro
* [ "$RPM_BUILD_ROOT" != "/" ]
  $RPM_BUILD_ROOT must not / and this should be removed.
* install-strip is forbidden. This disables to create debuginfo rpm.
* rm -rf $RPM_BUILD_DIR/file.list.%{name}
  .....
  All of these are not needed. %clean automatically removes
  $RPM_BUILD_DIR
  
Comment 6 Lubomir Kundrak 2007-06-28 14:10:11 EDT
In the %files section, this line

  %{_prefix}/bin/peless

should be replaced with

  %{_bindir}/peless

and %doc should be stripped from this line:

  %doc %_mandir/man1/peless.1.*
Comment 7 Mamoru TASAKA 2007-07-07 08:42:51 EDT
ping again?
Comment 8 Paul Elliott 2007-07-08 08:12:46 EDT
There will be a new release and spec file within 2 weeks. I was diverted to
other issues.
Comment 9 Paul Elliott 2007-07-24 06:01:07 EDT
OK please find the following new release:
http://download.berlios.de/peless/peless-1.156.tar.bz2
and a new spec file:
https://svn.berlios.de/svnroot/repos/peless/spec/peless.spec.fedora
BTW;Berlios seems to have let its certificates slip. You might have to override 
certification to download these files.

I have tried to fix most of the problems noted above. Please notify me of any 
further problems!
Thank You.
Comment 10 Mamoru TASAKA 2007-07-26 14:08:52 EDT
* Do CFLAGS, CXXFLAGS, PKG_CONFIG_PATH need to be set explicitly?

  %configure sets CFLAGS, CXXFLAGS (please check what %configure
  does by 'rpm --eval %configure') and pkg-config automatically
  searched %_libdir/pkgconfig and no .pc files must be installed
  under %_datadir/pkgconfig.

* desktop file should be installed by using desktop-file-install
  (in desktop-file-utils)

* Now we recommend %defattr(-,root,root,-)

* Please use macros. /usr should be replaced with %_prefix 
Comment 11 Paul Elliott 2007-07-28 08:37:51 EDT
OK I believe I have fixed these problems with a new spec file at:
https://svn.berlios.de/svnroot/repos/peless/spec/peless.spec.fedora
beware of berlios' expired certificate.

Please let me know of further problems you discover.
Thank You.
Comment 12 Mamoru TASAKA 2007-07-28 08:46:52 EDT
Well, please also create a SRPM and post the URL of it so
that we can download and rebuild it.
Comment 13 Mamoru TASAKA 2007-07-28 08:49:10 EDT
And from next time please increment the release number
every time you modify your spec file/srpm (when version number is
increased you can again set release number as 1)

http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes
-----------------------------------------------------------------------
Increase the "Release" tag every time you upload a new package to avoid
confusion. The reviewer and other interested parties probably still have older
versions of your SRPM lying around to check what has changed between the old and
new packages; those get confused when the revision didn't change.
Comment 14 Paul Elliott 2007-07-28 12:56:35 EDT
OK, I have increased the release number. Please find:
https://svn.berlios.de/svnroot/repos/peless/spec/peless.spec.fedora (the spec)
and
ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless-1.156-2.src.rpm (.SRPM)

Thank You.
Comment 15 Mamoru TASAKA 2007-07-31 11:52:59 EDT
Much better!!
For -2:
* Desktop file
  - Catetory "Application" is deprecated and should be removed
    (use --remove-category Application)
  - Use fedora as vendir_id. i.e.
    desktop-file-install --vendor fedora ....
    and this will create fedora-peless.desktop (and this case,
    use "--remove-original": please check the section
    "Desktop files" of
    http://fedoraproject.org/wiki/Packaging/Guidelines )
* Packager/URL
  - Please remove the line "Packager". This is automatically set on
    Fedora side
  - And use https://developer.berlios.de/projects/peless/ as URL.
* Documents
  - Why do you want to include philo.txt as documents?
* Changelog
  - Please also add the EVR (Epoch-Version-Release) 
    to %changelog entry. For example:
--------------------------------------------------------------------
* Sat Jul 28 2007 Paul Elliott <pelliott@io.com> - 1.156-2
- implement changes requested by Mamoru Tasaka    on 2007-07-26
--------------------------------------------------------------------

Okay, this package will be (almost?) okay if you fix the issues
above. However, as this is a sponsor requested ticket, please
read below:
--------------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 16 Paul Elliott 2007-08-01 06:23:55 EDT
OK, please find:
https://svn.berlios.de/svnroot/repos/peless/spec/peless.spec.fedora
and 
ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless-1.156-3.src.rpm

I have removed 'Application' from the categories by changing the --with-dtcat
parameter to %configure. Made fedora the vendor-id. added the --delete-original
parameter to desktop-file-install. Removed the Packager line.

Removed philo.txt from the list of files distributed to end user.
Changed URL line to https://developer.berlios.de/projects/peless/
Comment 17 Paul Elliott 2007-08-01 07:28:49 EDT
peless is ready to be translated into other languages. if you cd to the po
directory, and do make peless.pot you will make a .pot file. However, there are 
currently 0 translations. po/LINGUAS is a empty file. I have not got anybody to 
translate anything. Question: Should the .spec file have a %find_lang line?
Comment 18 Mamoru TASAKA 2007-08-01 11:29:35 EDT
* for %find_lang:
(In reply to comment #17)
> However, there are 
> currently 0 translations.  
> Should the .spec file have a %find_lang line?
  - Should NOT.

Two points.
* desktop file name
--------------------------------------------------------
mv ${RPM_BUILD_ROOT}%{_datadir}/applications/fedora-%{name}.desktop
${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
--------------------------------------------------------
  - Remove this line. i.e. the corresponding %file entry should be
    %{_datadir}/applications/fedora-%{name}.desktop .

* macros in %changelog
  - Now you can see in the changelong %configure is expanded.
    To avoid this, use %% in %changelog, i.e.
---------------------------------------------------------
%changelog
<snip>
- by removing it from --with-dtcat parameter to %%configure
---------------------------------------------------------

Still I am waiting for your new request or your pre-review of
other persons' review requests.
Comment 19 Paul Elliott 2007-08-01 17:18:48 EDT
https://svn.berlios.de/svnroot/repos/peless/spec/peless.spec.fedora
ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless-1.156-4.src.rpm

OK, I have done this but I do not understand it. None of the files on my system 
in /usr/share/applications/ begin with 'fedora-'.

I am totally unqualified to review other people's pre-review requests. This 
byzantine process has me totally intimidated. There seem to be snakes 
everywhere waiting to bite you. For example, I could find no documentation that 
setting vendor=fedora would change the name of the resulting desktop file.

I would not want to inflict my advise on someone else's project. Perhaps 
someday I will have a second project and I will qualify that way. At least that 
way, I will not mess up someone else's project, which is probably very 
important to them.
Comment 20 Mamoru TASAKA 2007-08-02 10:20:43 EDT
(In reply to comment #19)
> https://svn.berlios.de/svnroot/repos/peless/spec/peless.spec.fedora
> ftp://ftp.BerliOS.de/pub/peless/fc6/SRPMS/peless-1.156-4.src.rpm
  - Well, currently I cannot connent to ftp://ftp.BerliOS.de/?

> 
> OK, I have done this but I do not understand it. None of the files on my system 
> in /usr/share/applications/ begin with 'fedora-'.
  - On my system:
-------------------------------------------------------
$ ls -al /usr/share/applications/fedora-*.desktop | wc -l
75
-------------------------------------------------------

> I am totally unqualified to review other people's pre-review requests. 
  - No, to become a Fedora maintainer also means
    * you can review and advice other person's review requests
    * you must fix your package when bugs are reported, packaging
      policy is changed, etc....
  So we expect that Fedora maintainers have at least certain skill
  of packaging and modifying srpms. This is why Fedora package collection
  takes sponsor system.
  http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
  So as written in the URL above everyone who wants to get sponsored
  to maintain packages in Fedora must "show that you have an understanding 
  of the process and of the packaging guidelines" (quoted)
  Currently I sponsor 27 people and all my sponsornee passed my request.

> For example, I could find no documentation that 
> setting vendor=fedora would change the name of the resulting desktop file.
  - desktop-file-install --help-all

> I would not want to inflict my advise on someone else's project. 
  - Again, this skill is needed for Fedora maintainers, so please
    try. All my sponsornee actually did pre-review of other persons'
    review requests or sumbitted other review requests.
Comment 21 Paul Elliott 2007-08-02 23:02:50 EDT
I just do not feel compentent to pre-review other people's software. Sometimes 
it take me an extremely long time to figure out an issue related to my own 
software. Since I am the sole developer of peless, this does not hurt anybody. 
I would not want someone else's project held up by my delays, or messed up by 
my errors. I do not feel comfortable with the fedora process which is the most 
complicated I have encountered. I was able to get peless into debian without 
the problems I encountered here.

I am gratefull for the help you have given me, and am extremely sorry if this 
causes problems for you. I did not know about this requirement when I submitted 
peless into the fedora process. I will have to wait until I have a second 
project. In the meantime, perhaps I will put the fedora version of peless into 
a private repository somewhere.
Comment 22 Mamoru TASAKA 2007-08-06 01:40:19 EDT
Sorry, but I cannot admit that you don't like to do a pre-review.
For now I withdraw reviewing this request.
Comment 23 Lubomir Kundrak 2007-10-26 16:34:31 EDT
This looks like it is not moving, so I close it. Feel free to reopen if things
change.

> I just do not feel compentent to pre-review other people's software. Sometimes 
> it take me an extremely long time to figure out an issue related to my own 
> software.

Paul, once again -- doing quality reviews of other packages proves that you are
familiar with packaging rules. You can not maintain a package without being
familiar with process of making good packages.

> I do not feel comfortable with the fedora process which is the most 
> complicated I have encountered. I was able to get peless into debian without 
> the problems I encountered here.

In my opinion the Fedora process, though being quite strict, is very well
documented. My personal experience is that it allows us for much easier
mainteance and quality assurance of packages. If debian accepts packages from
people that are not familiar with doing good packages -- well, that's their
decision.

> I am gratefull for the help you have given me, and am extremely sorry if this 
> causes problems for you. I did not know about this requirement when I submitted 
> peless into the fedora process. I will have to wait until I have a second 
> project. In the meantime, perhaps I will put the fedora version of peless into 
> a private repository somewhere.

Anyways, thanks for an attempt. I encourage you to get familiar with the Fedora
guidelines and will help you if anything is not clear in case you are
interested. Otherwise maybe once someone else will submit your package for review.

Note You need to log in before you can comment on or make changes to this bug.